# federated_service.yaml
apiVersion: types.kubefed.io/v1beta1
kind: FederatedService
metadata:
  name: fed-helloworld-service
  namespace: fed-namespace
spec:
  template:
    metadata:
      name: fed-helloworld-service
      labels:
        app: helloworld
    spec:
      selector:
        app: helloworld
      type: ClusterIP
      ports:
      - name: http
        port: 8080
        targetPort: 8080
        protocol: TCP
  placement:
    clusters:
    - name: member-cluster-1
    - name: member-cluster-2
